import { ScatterBase } from "./ScatterBase";
import { UnknownValuePlotting } from "igniteui-react-core";
import { Series } from "./Series";
import { Type, Point } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterLineSeries extends ScatterBase {
    static $t: Type;
    protected bj(): Series;
    protected get_fk(): boolean;
    constructor();
    protected cs(): SeriesView;
    protected zu(): boolean;
    protected jk(): number;
    gw(a: Point, b: boolean): boolean;
    private acm;
    abd(a: ScatterFrame, b: ScatterBaseView): void;
    private act;
    protected get_zo(): boolean;
    abo(a: ScatterFrame, b: ScatterBaseView): void;
    private acr;
    private acn;
    private acq;
    acl: UnknownValuePlotting;
    protected q7(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
